[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVAdvancedCustomDrawSubItemEvent

Specifies an event handler signalled to perform advancing drawing for a list view sub-item with stage and state information.

## Declaration

Source position: comctrls.pp line 1340

`type TLVAdvancedCustomDrawSubItemEvent = procedure(`
`Sender: TCustomListView;`
`Item: TListItem;`
`SubItem: Integer;`
`State: TCustomDrawState;`
`Stage: TCustomDrawStage;`
`var DefaultDraw: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification. It must be cast to the TCustomListView type to access properties or methods specific to the list view control.
`Item` |  | List item for the event notification.
`SubItem` |  | Ordinal position for the value in SubItem drawn in the handler.
`State` |  | Drawing state for the custom-drawn sub-item.
`Stage` |  | Drawing stage for the sub-item. The advanced handler is used for stages other than cdPrePaint.
`DefaultDraw` |  | True if default drawing should be performed in the list view control.

## Description

TLVAdvancedCustomDrawSubItemEvent is the type used to implement the OnAdvancedCustomDrawSubItem event handler in TCustomListView.

## See also

TCustomListView.OnAdvancedCustomDrawSubItem |  | Event handler signalled to custom draw list sub-items when the draw stage is not cdPrePaint.
TCustomListView.OnCustomDrawSubItem |  | Event handler signalled to perform custom drawing for list sub-item on the control.